% Example of using the csf camera to convert raw frames in a csf file into
% a point cloud.

cam = tof.CsfCamera(tof.ProcessingConfig(), "frames.csf");

tof.selectStreams(cam, [tof.FrameType.PHASE]);

cam.start();

% The maximum number of frames from the CSFCamera
maxFrames = cam.getFrameNumber();

for i = 1:maxFrames
    frames = cam.getFrames();
end
